Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Perform OCR and ID Verification

The OCR + ID Verification service enables simultaneous Optical Character Recognition and Identity Verification. By including both "ocr" and "idVerification" in the operations list, and supplying the necessary data, users can initiate the processes.

The API concurrently performs both operations and returns the extracted information and verification results.

API Description

POST https://{vida-host}/api/v1/verify

Headers

Name
Type
Description

Content-Type

Format type of request body

Authentication*

String

Bearer <Token>

Request Body

Name
Type
Description

operations*

String

["ocr", "idVerification"]

payload*

String

{

"partnerTrxId": "random-uuid",

"groupId": "random-uuid",

"country": "country code",

"idType": "ID_TYPE",

"idSubtype": "IDSubType",

"idFrontSideImage": "Base64 encoded image of ID frontside"

}

userConsent*

String

{

"userIp": "0.0.0.0",

"country": "MYS",

"obtained": true,

"obtainedAt": "1680700959"

}

Sample Request and Response

Example request and response formats are listed below for Malaysian cards, KTP cards and Passports.

Note: The response includes a transaction ID, any warnings or errors that arose during processing, and the results of the OCR and ID Verification process. Due to the size of the response, specific result details are truncated in these examples.

Malaysian Cards

Request

Request

Success Response

HTTP Status Code: 200

Success JSON Response

KTP

Request

Request

Success Response

HTTP Status Code: 200

Success JSON Response

Passport

Request

Request

Success Response

HTTP Status Code: 200

Success JSON Response

Last updated